commit 4bbb74c75c0a5bb8d4c5be57c22594b3e130b8de
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Thu Oct 24 10:40:27 2024 +0200

    testsuite: arm: Use effective-target for memset-inline* tests
    
    Split tests into 2 parts:
    - The first part checkes the assmbler generated.
    - The second part does the run test and this part now requires
      effective-target arm_neon_hw.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/memset-inline-4.c: Only check assembler output.
            * gcc.target/arm/memset-inline-5.c: Likewise.
            * gcc.target/arm/memset-inline-6.c: Likewise.
            * gcc.target/arm/memset-inline-8.c: Likewise.
            * gcc.target/arm/memset-inline-9.c: Likewise.
            * gcc.target/arm/memset-inline-4-exe.c: New test.
            * gcc.target/arm/memset-inline-5-exe.c: Likewise.
            * gcc.target/arm/memset-inline-6-exe.c: Likewise.
            * gcc.target/arm/memset-inline-8-exe.c: Likewise.
            * gcc.target/arm/memset-inline-9-exe.c: Likewise.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 8462a5fdbfe12194b44072b5e64809b02dd2432d)

diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-4-exe.c b/gcc/testsuite/gcc.target/arm/memset-inline-4-exe.c
new file mode 100644
index 00000000000..fef6c4365e2
--- /dev/null
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-4-exe.c
@@ -0,0 +1,7 @@
+/* { dg-do run } */
+/* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
+/* { dg-require-effective-target arm_neon_hw } */
+/* { dg-options "-save-temps -O2 -fno-inline" } */
+/* { dg-add-options "arm_neon" } */
+
+#include "./memset-inline-4.c"
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-4.c b/gcc/testsuite/gcc.target/arm/memset-inline-4.c
index fc5f4aeed85..5d3eb1d53ad 100644
--- a/gcc/testsuite/gcc.target/arm/memset-inline-4.c
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-4.c
@@ -1,4 +1,4 @@
-/* { dg-do run } */
+/* { dg-do compile } */
 /* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
 /* { dg-require-effective-target arm_neon_hw } */
 /* { dg-options "-save-temps -O2 -fno-inline" } */
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-5-exe.c b/gcc/testsuite/gcc.target/arm/memset-inline-5-exe.c
new file mode 100644
index 00000000000..a52a527ea13
--- /dev/null
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-5-exe.c
@@ -0,0 +1,7 @@
+/* { dg-do run } */
+/* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
+/* { dg-require-effective-target arm_neon_hw } */
+/* { dg-options "-save-temps -O2 -fno-inline" } */
+/* { dg-add-options "arm_neon" } */
+
+#include "./memset-inline-5.c"
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-5.c b/gcc/testsuite/gcc.target/arm/memset-inline-5.c
index 683290771cf..567e6d0ca8a 100644
--- a/gcc/testsuite/gcc.target/arm/memset-inline-5.c
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-5.c
@@ -1,4 +1,4 @@
-/* { dg-do run } */
+/* { dg-do compile } */
 /* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
 /* { dg-require-effective-target arm_neon_hw } */
 /* { dg-options "-save-temps -O2 -fno-inline" } */
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-6-exe.c b/gcc/testsuite/gcc.target/arm/memset-inline-6-exe.c
new file mode 100644
index 00000000000..8e58d681023
--- /dev/null
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-6-exe.c
@@ -0,0 +1,7 @@
+/* { dg-do run } */
+/* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
+/* { dg-require-effective-target arm_neon_hw } */
+/* { dg-options "-save-temps -O2 -fno-inline" } */
+/* { dg-add-options "arm_neon" } */
+
+#include "./memset-inline-6.c"
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-6.c b/gcc/testsuite/gcc.target/arm/memset-inline-6.c
index 66c242eebbe..ccaf25e3f9d 100644
--- a/gcc/testsuite/gcc.target/arm/memset-inline-6.c
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-6.c
@@ -1,4 +1,4 @@
-/* { dg-do run } */
+/* { dg-do compile } */
 /* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
 /* { dg-require-effective-target arm_neon_hw } */
 /* { dg-options "-save-temps -O2 -fno-inline" } */
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-8-exe.c b/gcc/testsuite/gcc.target/arm/memset-inline-8-exe.c
new file mode 100644
index 00000000000..0ff1f6cbe89
--- /dev/null
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-8-exe.c
@@ -0,0 +1,7 @@
+/* { dg-do run } */
+/* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
+/* { dg-require-effective-target arm_neon_hw } */
+/* { dg-options "-save-temps -O2 -fno-inline"  } */
+/* { dg-add-options "arm_neon" } */
+
+#include "./memset-inline-8.c"
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-8.c b/gcc/testsuite/gcc.target/arm/memset-inline-8.c
index bcfe6404efa..e12e9330f75 100644
--- a/gcc/testsuite/gcc.target/arm/memset-inline-8.c
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-8.c
@@ -1,4 +1,4 @@
-/* { dg-do run } */
+/* { dg-do compile } */
 /* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
 /* { dg-options "-save-temps -O2 -fno-inline"  } */
 /* { dg-add-options "arm_neon" } */
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-9-exe.c b/gcc/testsuite/gcc.target/arm/memset-inline-9-exe.c
new file mode 100644
index 00000000000..eb1e61857aa
--- /dev/null
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-9-exe.c
@@ -0,0 +1,7 @@
+/* { dg-do run } */
+/* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
+/* { dg-require-effective-target arm_neon_hw } */
+/* { dg-options "-save-temps -Os -fno-inline" } */
+/* { dg-add-options "arm_neon" } */
+
+#include "./memset-inline-9.c"
diff --git a/gcc/testsuite/gcc.target/arm/memset-inline-9.c b/gcc/testsuite/gcc.target/arm/memset-inline-9.c
index d9e0722f732..34e328028d5 100644
--- a/gcc/testsuite/gcc.target/arm/memset-inline-9.c
+++ b/gcc/testsuite/gcc.target/arm/memset-inline-9.c
@@ -1,4 +1,4 @@
-/* { dg-do run } */
+/* { dg-do compile } */
 /* { dg-skip-if "Don't inline memset using neon instructions" { ! arm_tune_string_ops_prefer_neon } } */
 /* { dg-options "-save-temps -Os -fno-inline" } */
 /* { dg-add-options "arm_neon" } */

